DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ImageGetType

Read the type field

## SYNOPSIS

dip_Error dip_ImageGetType( image, type )

## FUNCTION

Read the `dip_Image` type field.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | An image
`dip_ImageType *` | `type` | Returns the type field

## SEE ALSO

The image structure

`ImageSetType`